/***************************************************************************
Mathematical Acceleration Subsystem Component V4.3 

Licensed Materials - Property of IBM
5724-I08	
(C) Copyright IBM Corporation 1985, 2005.  All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or 
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
***************************************************************************/

/*-----------------------------------------------------------------*/
/* C/C++ declarations for the scalar MASS functions not in math.h  */
/*-----------------------------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

// __THROW will be definde to throw() for certain
// gcc versions in malloc.h. We need to use it to match the math.h
// declarations.
#ifndef __THROW
# define __THROW_MASS
#else
# define __THROW_MASS __THROW
#endif

#ifdef __cplusplus
#else
#include <complex.h>
#endif

double _Complex cosisin(double) __THROW_MASS;
double dnint (double) __THROW_MASS;
double rsqrt (double) __THROW_MASS;

// keep this declaration as sincos may not always be declared in math.h.
void sincos (double, double *, double *) __THROW_MASS;

#undef __THROW_MASS

#ifdef __cplusplus
}
#endif

